"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var EventBridgeClient_1 = require("./EventBridgeClient");
var ActivateEventSourceCommand_1 = require("./commands/ActivateEventSourceCommand");
var CreateEventBusCommand_1 = require("./commands/CreateEventBusCommand");
var CreatePartnerEventSourceCommand_1 = require("./commands/CreatePartnerEventSourceCommand");
var DeactivateEventSourceCommand_1 = require("./commands/DeactivateEventSourceCommand");
var DeleteEventBusCommand_1 = require("./commands/DeleteEventBusCommand");
var DeletePartnerEventSourceCommand_1 = require("./commands/DeletePartnerEventSourceCommand");
var DeleteRuleCommand_1 = require("./commands/DeleteRuleCommand");
var DescribeEventBusCommand_1 = require("./commands/DescribeEventBusCommand");
var DescribeEventSourceCommand_1 = require("./commands/DescribeEventSourceCommand");
var DescribePartnerEventSourceCommand_1 = require("./commands/DescribePartnerEventSourceCommand");
var DescribeRuleCommand_1 = require("./commands/DescribeRuleCommand");
var DisableRuleCommand_1 = require("./commands/DisableRuleCommand");
var EnableRuleCommand_1 = require("./commands/EnableRuleCommand");
var ListEventBusesCommand_1 = require("./commands/ListEventBusesCommand");
var ListEventSourcesCommand_1 = require("./commands/ListEventSourcesCommand");
var ListPartnerEventSourceAccountsCommand_1 = require("./commands/ListPartnerEventSourceAccountsCommand");
var ListPartnerEventSourcesCommand_1 = require("./commands/ListPartnerEventSourcesCommand");
var ListRuleNamesByTargetCommand_1 = require("./commands/ListRuleNamesByTargetCommand");
var ListRulesCommand_1 = require("./commands/ListRulesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ListTargetsByRuleCommand_1 = require("./commands/ListTargetsByRuleCommand");
var PutEventsCommand_1 = require("./commands/PutEventsCommand");
var PutPartnerEventsCommand_1 = require("./commands/PutPartnerEventsCommand");
var PutPermissionCommand_1 = require("./commands/PutPermissionCommand");
var PutRuleCommand_1 = require("./commands/PutRuleCommand");
var PutTargetsCommand_1 = require("./commands/PutTargetsCommand");
var RemovePermissionCommand_1 = require("./commands/RemovePermissionCommand");
var RemoveTargetsCommand_1 = require("./commands/RemoveTargetsCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var TestEventPatternCommand_1 = require("./commands/TestEventPatternCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var EventBridge = /** @class */ (function (_super) {
    tslib_1.__extends(EventBridge, _super);
    function EventBridge() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    EventBridge.prototype.activateEventSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ActivateEventSourceCommand_1.ActivateEventSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.createEventBus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEventBusCommand_1.CreateEventBusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.createPartnerEventSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePartnerEventSourceCommand_1.CreatePartnerEventSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.deactivateEventSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeactivateEventSourceCommand_1.DeactivateEventSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.deleteEventBus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEventBusCommand_1.DeleteEventBusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.deletePartnerEventSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePartnerEventSourceCommand_1.DeletePartnerEventSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.deleteRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRuleCommand_1.DeleteRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.describeEventBus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventBusCommand_1.DescribeEventBusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.describeEventSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventSourceCommand_1.DescribeEventSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.describePartnerEventSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribePartnerEventSourceCommand_1.DescribePartnerEventSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.describeRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeRuleCommand_1.DescribeRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.disableRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableRuleCommand_1.DisableRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.enableRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableRuleCommand_1.EnableRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listEventBuses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListEventBusesCommand_1.ListEventBusesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listEventSources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListEventSourcesCommand_1.ListEventSourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listPartnerEventSourceAccounts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPartnerEventSourceAccountsCommand_1.ListPartnerEventSourceAccountsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listPartnerEventSources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPartnerEventSourcesCommand_1.ListPartnerEventSourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listRuleNamesByTarget = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListRuleNamesByTargetCommand_1.ListRuleNamesByTargetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listRules = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListRulesCommand_1.ListRulesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.listTargetsByRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTargetsByRuleCommand_1.ListTargetsByRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.putEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutEventsCommand_1.PutEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.putPartnerEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutPartnerEventsCommand_1.PutPartnerEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.putPermission = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutPermissionCommand_1.PutPermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.putRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutRuleCommand_1.PutRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.putTargets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutTargetsCommand_1.PutTargetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.removePermission = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemovePermissionCommand_1.RemovePermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.removeTargets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTargetsCommand_1.RemoveTargetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.testEventPattern = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestEventPatternCommand_1.TestEventPatternCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    EventBridge.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return EventBridge;
}(EventBridgeClient_1.EventBridgeClient));
exports.EventBridge = EventBridge;
//# sourceMappingURL=EventBridge.js.map