"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ActivateEventSource_1 = require("../model/operations/ActivateEventSource");
var ActivateEventSourceCommand = /** @class */ (function () {
    function ActivateEventSourceCommand(input) {
        this.input = input;
        this.model = ActivateEventSource_1.ActivateEventSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ActivateEventSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ActivateEventSourceCommand;
}());
exports.ActivateEventSourceCommand = ActivateEventSourceCommand;
//# sourceMappingURL=ActivateEventSourceCommand.js.map