"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateEventBus_1 = require("../model/operations/CreateEventBus");
var CreateEventBusCommand = /** @class */ (function () {
    function CreateEventBusCommand(input) {
        this.input = input;
        this.model = CreateEventBus_1.CreateEventBus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateEventBusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateEventBusCommand;
}());
exports.CreateEventBusCommand = CreateEventBusCommand;
//# sourceMappingURL=CreateEventBusCommand.js.map