"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreatePartnerEventSource_1 = require("../model/operations/CreatePartnerEventSource");
var CreatePartnerEventSourceCommand = /** @class */ (function () {
    function CreatePartnerEventSourceCommand(input) {
        this.input = input;
        this.model = CreatePartnerEventSource_1.CreatePartnerEventSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreatePartnerEventSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreatePartnerEventSourceCommand;
}());
exports.CreatePartnerEventSourceCommand = CreatePartnerEventSourceCommand;
//# sourceMappingURL=CreatePartnerEventSourceCommand.js.map