"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeactivateEventSource_1 = require("../model/operations/DeactivateEventSource");
var DeactivateEventSourceCommand = /** @class */ (function () {
    function DeactivateEventSourceCommand(input) {
        this.input = input;
        this.model = DeactivateEventSource_1.DeactivateEventSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeactivateEventSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeactivateEventSourceCommand;
}());
exports.DeactivateEventSourceCommand = DeactivateEventSourceCommand;
//# sourceMappingURL=DeactivateEventSourceCommand.js.map