"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteEventBus_1 = require("../model/operations/DeleteEventBus");
var DeleteEventBusCommand = /** @class */ (function () {
    function DeleteEventBusCommand(input) {
        this.input = input;
        this.model = DeleteEventBus_1.DeleteEventBus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteEventBusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteEventBusCommand;
}());
exports.DeleteEventBusCommand = DeleteEventBusCommand;
//# sourceMappingURL=DeleteEventBusCommand.js.map