"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRule_1 = require("../model/operations/DeleteRule");
var DeleteRuleCommand = /** @class */ (function () {
    function DeleteRuleCommand(input) {
        this.input = input;
        this.model = DeleteRule_1.DeleteRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRuleCommand;
}());
exports.DeleteRuleCommand = DeleteRuleCommand;
//# sourceMappingURL=DeleteRuleCommand.js.map