"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEventBus_1 = require("../model/operations/DescribeEventBus");
var DescribeEventBusCommand = /** @class */ (function () {
    function DescribeEventBusCommand(input) {
        this.input = input;
        this.model = DescribeEventBus_1.DescribeEventBus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEventBusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEventBusCommand;
}());
exports.DescribeEventBusCommand = DescribeEventBusCommand;
//# sourceMappingURL=DescribeEventBusCommand.js.map