"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEventSource_1 = require("../model/operations/DescribeEventSource");
var DescribeEventSourceCommand = /** @class */ (function () {
    function DescribeEventSourceCommand(input) {
        this.input = input;
        this.model = DescribeEventSource_1.DescribeEventSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEventSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEventSourceCommand;
}());
exports.DescribeEventSourceCommand = DescribeEventSourceCommand;
//# sourceMappingURL=DescribeEventSourceCommand.js.map