"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribePartnerEventSource_1 = require("../model/operations/DescribePartnerEventSource");
var DescribePartnerEventSourceCommand = /** @class */ (function () {
    function DescribePartnerEventSourceCommand(input) {
        this.input = input;
        this.model = DescribePartnerEventSource_1.DescribePartnerEventSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribePartnerEventSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribePartnerEventSourceCommand;
}());
exports.DescribePartnerEventSourceCommand = DescribePartnerEventSourceCommand;
//# sourceMappingURL=DescribePartnerEventSourceCommand.js.map