"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeRule_1 = require("../model/operations/DescribeRule");
var DescribeRuleCommand = /** @class */ (function () {
    function DescribeRuleCommand(input) {
        this.input = input;
        this.model = DescribeRule_1.DescribeRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeRuleCommand;
}());
exports.DescribeRuleCommand = DescribeRuleCommand;
//# sourceMappingURL=DescribeRuleCommand.js.map