"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var EnableRule_1 = require("../model/operations/EnableRule");
var EnableRuleCommand = /** @class */ (function () {
    function EnableRuleCommand(input) {
        this.input = input;
        this.model = EnableRule_1.EnableRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    EnableRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return EnableRuleCommand;
}());
exports.EnableRuleCommand = EnableRuleCommand;
//# sourceMappingURL=EnableRuleCommand.js.map