"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListEventBuses_1 = require("../model/operations/ListEventBuses");
var ListEventBusesCommand = /** @class */ (function () {
    function ListEventBusesCommand(input) {
        this.input = input;
        this.model = ListEventBuses_1.ListEventBuses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListEventBusesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListEventBusesCommand;
}());
exports.ListEventBusesCommand = ListEventBusesCommand;
//# sourceMappingURL=ListEventBusesCommand.js.map