"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListEventSources_1 = require("../model/operations/ListEventSources");
var ListEventSourcesCommand = /** @class */ (function () {
    function ListEventSourcesCommand(input) {
        this.input = input;
        this.model = ListEventSources_1.ListEventSources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListEventSourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListEventSourcesCommand;
}());
exports.ListEventSourcesCommand = ListEventSourcesCommand;
//# sourceMappingURL=ListEventSourcesCommand.js.map