"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPartnerEventSourceAccounts_1 = require("../model/operations/ListPartnerEventSourceAccounts");
var ListPartnerEventSourceAccountsCommand = /** @class */ (function () {
    function ListPartnerEventSourceAccountsCommand(input) {
        this.input = input;
        this.model = ListPartnerEventSourceAccounts_1.ListPartnerEventSourceAccounts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPartnerEventSourceAccountsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPartnerEventSourceAccountsCommand;
}());
exports.ListPartnerEventSourceAccountsCommand = ListPartnerEventSourceAccountsCommand;
//# sourceMappingURL=ListPartnerEventSourceAccountsCommand.js.map