"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPartnerEventSources_1 = require("../model/operations/ListPartnerEventSources");
var ListPartnerEventSourcesCommand = /** @class */ (function () {
    function ListPartnerEventSourcesCommand(input) {
        this.input = input;
        this.model = ListPartnerEventSources_1.ListPartnerEventSources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPartnerEventSourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPartnerEventSourcesCommand;
}());
exports.ListPartnerEventSourcesCommand = ListPartnerEventSourcesCommand;
//# sourceMappingURL=ListPartnerEventSourcesCommand.js.map