"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListRules_1 = require("../model/operations/ListRules");
var ListRulesCommand = /** @class */ (function () {
    function ListRulesCommand(input) {
        this.input = input;
        this.model = ListRules_1.ListRules;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListRulesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListRulesCommand;
}());
exports.ListRulesCommand = ListRulesCommand;
//# sourceMappingURL=ListRulesCommand.js.map