"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutEvents_1 = require("../model/operations/PutEvents");
var PutEventsCommand = /** @class */ (function () {
    function PutEventsCommand(input) {
        this.input = input;
        this.model = PutEvents_1.PutEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutEventsCommand;
}());
exports.PutEventsCommand = PutEventsCommand;
//# sourceMappingURL=PutEventsCommand.js.map