"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutPermission_1 = require("../model/operations/PutPermission");
var PutPermissionCommand = /** @class */ (function () {
    function PutPermissionCommand(input) {
        this.input = input;
        this.model = PutPermission_1.PutPermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutPermissionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutPermissionCommand;
}());
exports.PutPermissionCommand = PutPermissionCommand;
//# sourceMappingURL=PutPermissionCommand.js.map