"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutRule_1 = require("../model/operations/PutRule");
var PutRuleCommand = /** @class */ (function () {
    function PutRuleCommand(input) {
        this.input = input;
        this.model = PutRule_1.PutRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutRuleCommand;
}());
exports.PutRuleCommand = PutRuleCommand;
//# sourceMappingURL=PutRuleCommand.js.map