"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveTargets_1 = require("../model/operations/RemoveTargets");
var RemoveTargetsCommand = /** @class */ (function () {
    function RemoveTargetsCommand(input) {
        this.input = input;
        this.model = RemoveTargets_1.RemoveTargets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveTargetsCommand;
}());
exports.RemoveTargetsCommand = RemoveTargetsCommand;
//# sourceMappingURL=RemoveTargetsCommand.js.map