"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestEventPattern_1 = require("../model/operations/TestEventPattern");
var TestEventPatternCommand = /** @class */ (function () {
    function TestEventPatternCommand(input) {
        this.input = input;
        this.model = TestEventPattern_1.TestEventPattern;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestEventPatternCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestEventPatternCommand;
}());
exports.TestEventPatternCommand = TestEventPatternCommand;
//# sourceMappingURL=TestEventPatternCommand.js.map