"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateEventBusInput_1 = require("../shapes/CreateEventBusInput");
var CreateEventBusOutput_1 = require("../shapes/CreateEventBusOutput");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidStateException_1 = require("../shapes/InvalidStateException");
var InternalException_1 = require("../shapes/InternalException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEventBus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEventBus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEventBusInput_1.CreateEventBusInput
    },
    output: {
        shape: CreateEventBusOutput_1.CreateEventBusOutput
    },
    errors: [
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidStateException_1.InvalidStateException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateEventBus.js.map