"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutRuleInput_1 = require("../shapes/PutRuleInput");
var PutRuleOutput_1 = require("../shapes/PutRuleOutput");
var InvalidEventPatternException_1 = require("../shapes/InvalidEventPatternException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ManagedRuleException_1 = require("../shapes/ManagedRuleException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutRuleInput_1.PutRuleInput
    },
    output: {
        shape: PutRuleOutput_1.PutRuleOutput
    },
    errors: [
        {
            shape: InvalidEventPatternException_1.InvalidEventPatternException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: ManagedRuleException_1.ManagedRuleException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=PutRule.js.map