"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _InputTransformer_1 = require("./_InputTransformer");
var _KinesisParameters_1 = require("./_KinesisParameters");
var _RunCommandParameters_1 = require("./_RunCommandParameters");
var _EcsParameters_1 = require("./_EcsParameters");
var _BatchParameters_1 = require("./_BatchParameters");
var _SqsParameters_1 = require("./_SqsParameters");
exports._Target = {
    type: "structure",
    required: ["Id", "Arn"],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Arn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Input: {
            shape: {
                type: "string"
            }
        },
        InputPath: {
            shape: {
                type: "string"
            }
        },
        InputTransformer: {
            shape: _InputTransformer_1._InputTransformer
        },
        KinesisParameters: {
            shape: _KinesisParameters_1._KinesisParameters
        },
        RunCommandParameters: {
            shape: _RunCommandParameters_1._RunCommandParameters
        },
        EcsParameters: {
            shape: _EcsParameters_1._EcsParameters
        },
        BatchParameters: {
            shape: _BatchParameters_1._BatchParameters
        },
        SqsParameters: {
            shape: _SqsParameters_1._SqsParameters
        }
    }
};
//# sourceMappingURL=_Target.js.map